#
# spec file for package cutecom
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cutecom
Version:        0.40.0
Release:        lp152.3.12
Url:            http://github.com/neundorf/CuteCom
Summary:        A graphical serial terminal 
License:        GPL-3.0+
Group:          System/X11/Terminals
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtserialport-devel
Source:         %{name}-%{version}.tgz

%description
CuteCom is a graphical serial terminal, similar to minicom. It is
written using the Qt library.

It is aimed mainly at hardware developers or other people who need a
terminal to talk to their devices.

%prep
%setup

%build
cmake .
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -s -m 755 %{name} $RPM_BUILD_ROOT/%{_bindir}/
gzip %{name}.1
install -m 644 %{name}.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/

install -d 755 $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 distribution/openSUSE/cutecom.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
install -d 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 images/cutecom.svg $RPM_BUILD_ROOT%{_datadir}/pixmaps/

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/cutecom.svg
%doc Changelog TODO LICENSE CREDITS README.md

%changelog
* Sat Aug 12 2017 jengelh@inai.de
- Trim redundant info from description that is already part of the
  spec preamble.
* Thu Aug  3 2017 opensuse@dstoecker.de
- update to 0.40.0
  - First implementation of searching the output
  - Linked line termination of displayed data
  with the option (LF, CRLF, CR, ...) for user input.
  - compress/combine multiple non printable characters into one expression
  in case the same non printable characters is beeing received multiple
  times in a sequence
  - enable a mix from hex and ascii characters in hex input mode
  - Disable RTS/DTR when no flow control is used
  - man page update
  - licenses cleanup
  - now builds and runs using Qt5 versions less than 5.3
  - performance tuning by switching to QPlainTextEdit
* Tue Jul  5 2016 toddrme2178@gmail.com
- Spec file cleanups:
  * Use upstream Summary
  * Use upstream Description
  * Fix Group tag
* Thu Jan 14 2016 opensuse@dstoecker.de
- update to release 0.30.2
  * custom baud rates restored properly on startup
  * custom baud rates > 200000 now selectable
  * prevent horizontal scroll bar showing up (feedback)
* Fri Dec 18 2015 cyc1ingsir@gmail.com 
- reimplementation based on Qt5
- including various feature enhancements
- removed cutecom-0.22.0-license.diff - codebase changed
- removed cutecom-0.22.0-nolinebreak.diff - codebase changed
* Tue Nov 17 2015 opensuse@dstoecker.de
- fix build for Leap 42.1
- correct FSF address
* Thu Feb 23 2012 opensuse@dstoecker.de
- display correct license in about dialog
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Tue Apr 26 2011 opensuse@dstoecker.de
- fix line breaking issue (patch copied from Debian)
* Tue Jan 27 2009 opensuse@dstoecker.de
- initial setup
